/**
 * Styles for the `cont-heading` class.
 * Defines consistent typography, spacing, and alignment for container headings.
 */


.wp-block-uagb-container.cont-heading {
    gap: 0 !important;
}

.wp-block-uagb-container.cont-heading .wp-block-uagb-advanced-heading:first-child:not(:only-child) .uagb-heading-text::after {
    content: '';
    display: block;
    width: 160px;
    height: 4px;
    border-radius: 3em;
    background-color: var(--ast-global-color-0);
}

.wp-block-uagb-container.cont-heading h1::after {
    margin: var(--gap-m) auto;
}

.wp-block-uagb-container.cont-heading h3::after {
    margin: var(--gap-s) auto;
}

@media (max-width: 576px) {
    .wp-block-uagb-container.cont-heading .wp-block-uagb-advanced-heading:first-child:not(:only-child) .uagb-heading-text::after {
        height: 3px;
    }

    .wp-block-uagb-container.cont-heading h3::after {
        margin: var(--gap-m) auto;
    }

}